Skip to content

Retrieve a link

Get a payment link with its payment count and volume.

payments_count and volume count the link's succeeded payments. volume.amount is a decimal string in its currency.

Path

  • id string Required
    The link's ID, such as lnk_nt842tPNne3lf0ka.

Errors

  • 404 not_found
    No link with that ID belongs to your business.

Any request can also fail on its key or its body. See errors.

Request
curl "https://api.402pay.co/api/v1/links/lnk_nt842tPNne3lf0ka" \
  -H "Authorization: Bearer $PAY402_SECRET_KEY"
Response200 OK
{
  "data": {
    "id": "lnk_nt842tPNne3lf0ka",
    "kind": "link",
    "code": "v6e4mrczwg",
    "url": "https://checkout.402pay.co/checkout/v6e4mrczwg",
    "name": "Team plan, monthly",
    "description": "Everything in Pro for up to 10 people.",
    "amount": "199.00",
    "currency": "USD",
    "success_url": null,
    "status": "active",
    "disabled_at": null,
    "payments_count": 0,
    "volume": {
      "amount": "0.00",
      "currency": "USD"
    },
    "created_at": "2026-09-26T21:22:46.992Z",
    "updated_at": "2026-09-26T21:22:46.992Z"
  }
}